<?php
/*
 * This is the moblog handler file for the T-mobile carrier.
 * The only thing peculiar to T-mobile messages is that they send
 * several ad images along with the main package.
 */
function moblog_carrier_tmobile($stream, $msg_number) {
  $files = moblog_extract_mime_attachments($stream, $msg_number);
  $goodfiles = array();
  
  foreach($files as $file) {
    // T-mobile spam cleanup code here
    // Disregard spacer.gif, masthead.jpg, dottedLine_600.gif and dottedLine_350.gif
    if($file['filename'] == "spacer.gif" || 
       $file['filename'] == "masthead.jpg" ||
       $file['filename'] == "dottedLine_600.gif" ||
       $file['filename'] == "dottedLine_350.gif"
      ) {
      continue;
    }
    $goodfiles[] = $file;
  }
  
  return $goodfiles;
}

/*
 * Sets the default regular expression that indicates that this message comes
 * from this carrier.
 */
function moblog_carrier_tmobile_regexp() {
  if(false === variable_get('moblog_handler_regex_tmobile', false)) {
    variable_set('moblog_handler_regex_tmobile', '/.*From: [0-9]*@tmomail.net.*/');
  }
  return variable_get('moblog_handler_regex_tmobile', '');
}

function moblog_carrier_desc_tmobile() {
  return t('For supporting T-mobile phones (at least in the US).');
}
?>
